Bug 430169 - SiS 662 displays vertical, fuzzy lines when using sis driver, but not when using vesa driver.
SiS 662 displays vertical, fuzzy lines when using sis driver, but not when us...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 17:59 EST by Michael LeMay
Modified: 2008-02-26 11:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 10:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael LeMay 2008-01-24 17:59:24 EST
Description of problem:
When using the sis x.org driver with a SiS 662 integrated graphics card on an
Intel D201GLY2 motherboard, vertical lines with quickly varying horizontal lines
extending out from them appear on the screen at all times.  By using a custom
"premium" driver, as described in the last post on the following page, the issue
is resolved: http://ubuntuforums.org/showthread.php?t=463077&page=8  The lines
also disappear when the VESA driver is used, but that is far too slow.

Version-Release number of selected component (if applicable):
0.9.3

How reproducible:
Always

Steps to Reproduce:
1. Install and use xorg-x11-drv-sis
2.
3.
  
Actual results:
Vertical lines through screen

Expected results:
No vertical lines through screen

Additional info:
Comment 1 Matěj Cepl 2008-01-24 19:58:12 EST
Reporter, I am sorry but I have a bad news for you. According to
http://www.winischhofer.eu/linuxsispart4.shtml#download, Thomas Winischhofer
"[t]he premium version. This version is only available in binary form and for a
fee. It has advanced features not available in the Free Version.", so I don't
think we can carry it. Do I understand correctly that somebody ripped out a
binary driver out of the Thomas' distribution for-fee tarball?
Comment 2 Matěj Cepl 2008-02-25 18:09:16 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Michael LeMay 2008-02-25 18:26:17 EST
I apologize, I missed the notification of the previous comment.  Yes, the driver
I was using was taken from a for-fee tarball.  I was hoping that the redhat team
could port whatever techniques he's using in that distribution to the free,
default driver, since the non-free driver I'm using hasn't been supported in
quite awhile and is quite flaky (segfaults with certain xorg.conf
configurations, etc.).  Perhaps that violates RedHat's philosophy, however.  Thanks!
Comment 4 Matěj Cepl 2008-02-26 10:39:18 EST
It’s not the question of philosophy, we just cannot read binary any better than
you can :-).

Closing as CANTFIX
Comment 5 Michael LeMay 2008-02-26 11:06:39 EST
The source is available for download here:
http://www.winischhofer.net/sis/sisp.tar.gz  Intel has also just released a
source driver, but it comes from the same author and I have no experience with
it:
http://downloadcenter.intel.com/Detail_Desc.aspx?agr=N&Inst=Yes&ProductID=2873&DwnldID=15443&strOSs=39&OSFullName=Linux*&lang=eng

Note You need to log in before you can comment on or make changes to this bug.